File pages with upload versions but no page revisions (revision #0 does not exist)
Closed, ResolvedPublic

Description

A user uploaded a new version of a file, and this seems to have led to the disappearance of the page belonging to that file. The logs also do not show the original upload and page creation.


Version: unspecified
Severity: critical
URL: https://commons.wikimedia.org/wiki/File:Audio-mp3.svg

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz40178.
TheDJ created this task.Via LegacySep 12 2012, 8:04 AM
Dereckson added a comment.Via ConduitSep 12 2012, 9:07 AM

[ Raising importance to High, as this could be a bug related to data corruption. ]

Aklapper added a comment.Via ConduitSep 14 2012, 4:14 PM

(In reply to comment #0)

A user uploaded a new version of a file, and this seems to have led to the
disappearance of the page belonging to that file.

Could you clarify what you mean by "page belonging to that file" in this case?

Ciencia_Al_Poder added a comment.Via ConduitSep 14 2012, 4:30 PM

See https://commons.wikimedia.org/w/index.php?title=File:Audio-mp3.svg&action=history

All edits in history are from September 12th, and then review the file history, it has (currently) 2 versions, first one uploaded on February 22. So the file description page (File:Audio-mp3.svg) is missing the revision from February 22 (at least).

The file comment from February 22 is also missing in the file history, and it's strange since the comment is separate from the file description page (see http://www.mediawiki.org/wiki/Manual:Image_table and http://www.mediawiki.org/wiki/Manual:Oldimage_table, img_description and oi_description fields respectively), which could mean that the comment and page description was lost on the first upload, or it never existed.

waldyrious added a comment.Via ConduitFeb 11 2013, 8:21 PM

I just came across bug this as well. There are a buch of these: http://toolserver.org/~krinkle/BlankPages.php?action=view&ns=6&p=commons.wikimedia

I'll transcribe below the current list generated by the tool, for archival purposes:

  • [[c:File:Bruxelles Java Masque Wayang 02 10 2011 06.jpg]]
  • [[c:File:Coxeter diagram finite rank4 correspondence.png]]
  • [[c:File:Kit body brugge1314.png]]
  • [[c:File:Kit body union1314.png]]
  • [[c:File:Kit left arm union1314.png]]
  • [[c:File:Kit right arm union1314.png]]
  • [[c:File:Luftaufnahmen Nordseekueste 2012 05 D50 by-RaBoe 066.jpg]]
  • [[c:File:Luftaufnahmen Nordseekueste 2012 05 D50 by-RaBoe 067.jpg]]
  • [[c:File:Médaille UNION NATIONALE DES CHEMINOTS. Graveur François MOURGUES (2).JPG]]
  • [[c:File:Mérite national chevalier FRANCE.jpg]]
  • [[c:File:Ogeret.JPG]]
  • [[c:File:POSTERMENDOZA.JPG]]
  • [[c:File:Pastel Raymond Martin 2.jpg]]
  • [[c:File:RUS-CZE 2012-06-08 pl.svg]]
  • [[c:File:SANTA MARIA DE PUIG-AGUILAR - 7.JPG]]

The file pages do show the image, but below it there's the following error text:

"The revision #0 of the page named <filename.ext> does not exist.

This is usually caused by following an outdated history link to a page that has been deleted. Details can be found in the deletion log."

And the deletion log is empty. The *upload* log, OTOH, does show the upload of the file itself.

waldyrious added a comment.Via ConduitFeb 11 2013, 8:33 PM

Sorry, I was under the impression that commons had a single-letter interwiki prefix. Here's the corrected list:

  • [[commons:File:Bruxelles Java Masque Wayang 02 10 2011 06.jpg]]
  • [[commons:File:Coxeter diagram finite rank4 correspondence.png]]
  • [[commons:File:Kit body brugge1314.png]]
  • [[commons:File:Kit body union1314.png]]
  • [[commons:File:Kit left arm union1314.png]]
  • [[commons:File:Kit right arm union1314.png]]
  • [[commons:File:Luftaufnahmen Nordseekueste 2012 05 D50 by-RaBoe 066.jpg]]
  • [[commons:File:Luftaufnahmen Nordseekueste 2012 05 D50 by-RaBoe 067.jpg]]
  • [[commons:File:Médaille UNION NATIONALE DES CHEMINOTS. Graveur François MOURGUES (2).JPG]]
  • [[commons:File:Mérite national chevalier FRANCE.jpg]]
  • [[commons:File:Ogeret.JPG]]
  • [[commons:File:POSTERMENDOZA.JPG]]
  • [[commons:File:Pastel Raymond Martin 2.jpg]]
  • [[commons:File:RUS-CZE 2012-06-08 pl.svg]]
  • [[commons:File:SANTA MARIA DE PUIG-AGUILAR - 7.JPG]]

And here's a workaround for the entry that doesn't get auto-linked: http://commons.wikimedia.org/wiki/File:M%C3%A9daille_UNION_NATIONALE_DES_CHEMINOTS._Graveur_Fran%C3%A7ois_MOURGUES_%282%29.JPG

waldyrious added a comment.Via ConduitFeb 11 2013, 8:35 PM

somehow I reverted sumana's importance/priority settings with my last comment. restoring. sorry all for the spam.

aaron added a comment.Via ConduitFeb 11 2013, 9:20 PM

I don't think those pages ever existed, they probably failed partially (leaving a broken page row), causing the user to upload a second time (since they thought it failed), resulting in two files.

This requires two bugs:

  1. Something issuing COMMIT while the page stub row with page_latest=0 is inserted (this should never happen). Given how laughably fragile this code is, that would not be surprising at all. It can be a core function or extension hook handler from anywhere.
  2. Something causing an fatal or exception afterwards, so the stub row is never removed/completed. I recall exceptions with ApiUpload not that many months ago, so it's not implausible.
Aklapper added a comment.Via ConduitFeb 12 2013, 6:08 PM

<AaronSchulz> andre: sounds like some bug where the file but not the page was stored on upload for some time in the past
<AaronSchulz> from the report alone, it's not really immediate priority
<andre
> Thanks. Would you go ahead and decrease prio, or shall I?
<AaronSchulz> you can if you want

aaron added a comment.Via ConduitFeb 28 2013, 6:25 PM

In any case, https://gerrit.wikimedia.org/r/#/c/50037/ might help. The dberror log should be monitored too see what transaction problems are left.

Aklapper added a comment.Via ConduitFeb 28 2013, 7:24 PM

Patch mentioned by Aaron has been merged on 22nd.

Waldir, Jesús, DJ:
Retesting this in March (see https://www.mediawiki.org/wiki/MediaWiki_1.21/Roadmap ) is highly welcome!

waldyrious added a comment.Via ConduitMar 1 2013, 5:49 PM

(In reply to comment #10)

Retesting this (...) is highly welcome!

I don't think any of us had the error occur to us directly, we simply found those pages. I am not sure how to reproduce the problem, so can you clarify how can testing be done?

Ciencia_Al_Poder added a comment.Via ConduitMar 1 2013, 5:59 PM

Look, it seems we just got another one today: [1]

The only way I can think about "retest" this is to keep an eye on the BlankPages tool described on comment #4 to see if new pages appear.


[1] http://commons.wikimedia.org/wiki/File:Alyona_lanskaya.jpg

Ciencia_Al_Poder added a comment.Via ConduitMar 1 2013, 6:13 PM

(In reply to comment #12)

Look, it seems we just got another one today: [1]

Well, maybe I'm wrong. The history page is there, just empty. The user probably haven't filled the edit form on upload. That's different than not having a page at all.

RobLa-WMF added a comment.Via ConduitMar 22 2013, 11:33 PM

Aaron put some logging in place and fixed the problems exposed by the logging at least. We're not seeing new issues here, so if there are recent examples of this problem that crop up, please reopen.

McZusatz added a comment.Via ConduitMar 29 2014, 4:26 PM

Some more stolen from the tool mentioned in comment #4

[[commons:File:! Skuespilhus & Opera.JPG]]
[[commons:File:"With thee to support me, I defy the whole world!" LCCN2012647226.tif]]
[[commons:File:A U.S. Marine Amphibious Assault Vehicle with 2nd Amphibious Assault Battalion, 2nd Marine Division (MARDIV) sits during a helicopter training exercise on Training Landing Zone Osprey, Camp Lejeune, N.C 140319-M-FN127-128.jpg]]
[[commons:File:A royal brewery, or how to cook a wife LCCN2004670128.tif]]
[[commons:File:BASE1 CONCURSO FRANCISCO LIRA BUSES VALDIVIA 2.png]]
[[commons:File:BLUE BRIDGE.jpg]]
[[commons:File:Benchmarking-Successional-Progress-in-a-Quantitative-Food-Web-pone.0090404.s003.ogv]]
[[commons:File:Bombardier BD-700-1A10 Global Express XRS, Private JP7722678.jpg]]
[[commons:File:Bușteni (9369346123).jpg]]
[[commons:File:Bușteni (9369346753).jpg]]
[[commons:File:Bușteni (9369347507).jpg]]
[[commons:File:Bușteni (9372126532).jpg]]
[[commons:File:Cobq3.jpg]]
[[commons:File:Cobq4.jpg]]
[[commons:File:Cobq5.jpg]]

McZusatz added a comment.Via ConduitApr 5 2014, 9:04 PM
Bawolff added a comment.Via ConduitApr 5 2014, 9:12 PM
  • This bug has been marked as a duplicate of bug 32551 ***
Gilles added a project: Multimedia.Via WebDec 4 2014, 9:24 AM
Gilles raised the priority of this task from "High" to "Unbreak Now!".Via WebDec 4 2014, 10:11 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "High".Via ConduitDec 4 2014, 11:23 AM
Ricordisamoa added a subscriber: Ricordisamoa.Via WebMar 28 2015, 5:53 AM

Add Comment